Part: Casetă

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part Box and the translation is 4% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎ • ‎한국어
FreeCAD.png
Next: Cylinder Part Cylinder.svg Arrow-right.svg

Part Box.svg Part Box

Menu location
Part → Primitives → Cube
Workbenches
Part, Complete
Default shortcut
None
Introduced in version
-
See also
Part CreatePrimitives

Description

Descriere

Comanda Box din Atelierul Part Workbench inserează o casetă parametrică, rectangular cuboid, o primitivă geometrică în documentul activ. Implicit, comanda Box va insera un cub de 10x10x10 mm, poziționaat în origine, cu denumirea/eticheta "cube". Acești parametri pot fi modificați după adăugarea obiectului.

Part Box Example.png

Usage

  1. There are several ways to invoke the command:
    • Press the Part Box.svg Part Box button.
    • Select the Part → Primitives → Part Box.svg Cube option from the menu.
  2. The box is created.
  3. Optionally change the dimensions and DatePlacement of the box by doing one of the following:
    • Double-click the object in the Tree view:
      1. The Geometric Primitives task panel opens.
      2. Change one or more properties.
      3. The object is dynamically updated in the 3D view.
      4. Press the OK button.
    • Change the properties in the Property editor.
    • Change the DatePlacement with the Std TransformManip.svg Std TransformManip command.

Example

Part Box from the scripting example

A Part Box object created with the scripting example below is shown here.

Notes

  • A Part Box can also be created with the Part Primitives.svg Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Properties

See also: Property editor.

A Part Box object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Box

Box

  • DateLength:Parametrul lungime este dimensiunea Box în direcția x.
  • DateWidth: Parametrul lățime este dimensiunea Box în direcția y.
  • DateHeight: Parametrul înălțime este dimensiunea Box în direcția z.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

Scripting

Comanda Box poate fi utilizat în macros și din consola python utilizând următoarea funcție:

box = FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Unde "myBox" este o denumire/etichetă pentru obiectul Box.
  • Are ca rezulta obiectul nou creat de tip Box.

Example:

import FreeCAD as App

doc = App.activeDocument()

box = doc.addObject("Part::Box", "myBox")
box.Length = 4
box.Width = 8
box.Height = 12
box.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()


FreeCAD.png
Next: Cylinder Part Cylinder.svg Arrow-right.svg